• Posted by fiammybe
  • Posted on 16/12/2019

ImpressCMS 1.4.0 RC

The first release candidate for ImpressCMS 1.4.0 is now available!

This is an important milestone as we progress toward the ImpressCMS 1.4.0 release date. “Release Candidate” means that the team considers this new version ready for release, but with the new PHP versions we support and the different modules and themes in use, it’s possible something was missed.

ImpressCMS 1.4.0 is currently scheduled to be released on December 19, 2019, but we need your help to get there—if you haven’t tried 1.4.0 yet, now is the time!

The ImpressCMS 1.4.0 release candidate is available here

What's new in ImpressCMS 1.4.0?

ImpressCMS 1.4.0 introduces support for PHP 7, with support for 7.0, 7.1 and 7.2 already tested. Support for PHP 7.3 and 7.4 is planned for ImpressCMS 1.4.1. Some issues in the template system were resolved, which should give theme developers and designers more control over certain pages.

More detailed information on what is in the design can be found in the release notes on Github.

Module and theme maintainers

Please test your modules and themes with ImpressCMS 1.4.0 and indicate that fact in the module description. If you find compatibility problems between your module and the ImpressCMS core (not PHP7 compatibility), please let us know by creating a ticket on github so that we can figure those out before the final release.

How to help

Do you speak a language other than English? Help us to update and expand the ImpressCMS translations.

If you think you have found a bug, please post a bug report on github. We'd love to hear from you!

 

Photo by Oleksii Drozdov on Unsplash

The comments are owned by the poster. We aren't responsible for their content.